require 'bundler/setup'
require 'sinatra/base'
require 'omniauth-viadeo'

class App < Sinatra::Base
  get '/' do
    redirect '/auth/viadeo'
  end

  get '/auth/:provider/callback' do
    content_type 'application/json'
    MultiJson.encode(request.env)
  end
  
  get '/auth/failure' do
    content_type 'application/json'
    MultiJson.encode(request.env)
  end
end

use Rack::Session::Cookie

use OmniAuth::Builder do
  provider :viadeo, ENV['VIADEO_CONSUMER_KEY'], ENV['VIADEO_CONSUMER_SECRET']
end

run App.new
